use axum::Json;
use axum_extra::extract::WithRejection;
use domain::dto::account::AuthenticateGooleAccountReq;
use library::resp::{rejection::IRejection, response::{ ResOK, ResResult}};
use validator::Validate;

pub async fn authenticate_google(
    WithRejection(Json(req), _): IRejection<Json<AuthenticateGooleAccountReq>>
) -> ResResult<ResOK<()>> {
    req.validate()?;

    service::account::authticate_google(req).await?;

    Ok(ResOK(None))
}
